Bug 1064749 - [Neutron Integration] Default Gateway and DNS are missing when creating Network on External Provider
Summary: [Neutron Integration] Default Gateway and DNS are missing when creating Netwo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.4.3
Assignee: Mike Kolesnik
QA Contact: GenadiC
URL:
Whiteboard: network
Depends On:
Blocks: 1063716
TreeView+ depends on / blocked
 
Reported: 2014-02-13 08:57 UTC by GenadiC
Modified: 2014-07-20 05:48 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.4.3-rc
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-18 09:37:32 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 25357 master MERGED engine: Added fields to subnet Never
oVirt gerrit 25359 master MERGED webadmin: Add gateway & DNS servers fields Never
oVirt gerrit 25360 master MERGED webadmin: Add gateway & DNS servers columns Never
oVirt gerrit 27360 ovirt-engine-3.4 MERGED webadmin: Clearing float from AddRemoveRowPanel Never
oVirt gerrit 27361 ovirt-engine-3.4 ABANDONED engine: Change OpenStack SDK version Never
oVirt gerrit 27362 ovirt-engine-3.4 MERGED engine: Added fields to subnet Never
oVirt gerrit 27363 ovirt-engine-3.4 MERGED webadmin: Add StringUtils.is{,Not}Empty Never
oVirt gerrit 27364 ovirt-engine-3.4 MERGED webadmin: Extract external subnet model & widget Never
oVirt gerrit 27365 ovirt-engine-3.4 MERGED webadmin: Add gateway & DNS servers fields Never
oVirt gerrit 27366 ovirt-engine-3.4 MERGED webadmin: Add gateway & DNS servers columns Never

Description GenadiC 2014-02-13 08:57:34 UTC
Description of problem:
When creating new Logical Network with Webadmin on external Provider the Subnet subtab is missing DNS and Default gateway fields.
As a result the default value for both will be the first IP in the subnet range.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create new network when checking the "Create on external Provider" checkbox
2. Choose the Subnet subtab
3.

Actual results:
DG and DNS fields are missing

Expected results:
DG and DNS should be presented

Additional info:

Comment 1 Itamar Heim 2014-02-16 08:23:48 UTC
Setting target release to current version for consideration and review. please
do not push non-RFE bugs to an undefined target release to make sure bugs are
reviewed for relevancy, fix, closure, etc.

Comment 2 Sandro Bonazzola 2014-03-04 09:22:37 UTC
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.

Comment 3 Fedora Update System 2014-04-30 08:01:08 UTC
openstack-java-sdk-3.0.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openstack-java-sdk-3.0.4-1.fc19

Comment 4 Fedora Update System 2014-04-30 08:02:02 UTC
openstack-java-sdk-3.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openstack-java-sdk-3.0.4-1.fc20

Comment 5 Fedora Update System 2014-05-08 10:03:08 UTC
openstack-java-sdk-3.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-05-08 10:06:00 UTC
openstack-java-sdk-3.0.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Sandro Bonazzola 2014-05-08 13:38:13 UTC
This is an automated message

oVirt 3.4.1 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.

Comment 8 Sandro Bonazzola 2014-07-10 13:44:09 UTC
This is an automated message

oVirt 3.4.3 RC has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.

Comment 9 GenadiC 2014-07-17 12:51:47 UTC
Verified in 3.5.0-0.0.master.20140715172116.git4687dc1.el6

Comment 10 Sandro Bonazzola 2014-07-18 09:37:32 UTC
This is an automated message

oVirt 3.4.3 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.